Bug 253660 - nscd doesn't properly return the local hostname if 3 chars in length
nscd doesn't properly return the local hostname if 3 chars in length
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nss (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kai Engert (:kaie)
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-20 21:01 EDT by csb sysadmin
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-21 05:38:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description csb sysadmin 2007-08-20 21:01:04 EDT
Description of problem:

[root@tin ~]# ypcat -k hosts | grep "tin "
tin 160.129.138.133     tin     tin.structbio.vanderbilt.edu
[root@tin ~]# /etc/init.d/nscd start
Starting nscd:                                             [  OK  ]
[root@tin ~]# ping tin
ping: unknown host tin
[root@tin ~]# /etc/init.d/nscd stop
Stopping nscd:                                             [  OK  ]
[root@tin ~]# ping tin
PING tin (160.129.138.133) 56(84) bytes of data.
64 bytes from tin (160.129.138.133): icmp_seq=0 ttl=64 time=0.018 ms
[root@tin ~]# grep hosts /etc/nsswitch.conf 
#hosts:     db files ldap nis dns
hosts:      files nis dns


Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. use nis and set hostname in nis hosts file to something like (3 letters):

160.129.138.133     tin     tin.structbio.vanderbilt.edu
2. set nsswitch.conf as above, try to ping tin, try traceroute, try "hostname -s"
3. turn off nscd then try all of above
  
Actual results:
when nscd is on I always get unknown hostname. when nscd is off the command succeeds

Expected results:
The command should succeed whether or not nscd is on or off.

Additional info:
Comment 1 csb sysadmin 2007-08-20 21:10:58 EDT
my fault forgot /etc/init.d/nscd reload ..works again, can close notabug
Comment 2 Kai Engert (:kaie) 2007-08-21 05:38:45 EDT
Resolving bug as NOTABUG as requested by reporter.

Note You need to log in before you can comment on or make changes to this bug.